Overview | Modules | Class Hierarchy | Classes | Members

Classes | Namespaces | Defines | Typedefs
EdgeExtremityGlyph.h File Reference
`#include <tulip/TulipRelease.h>`
`#include <tulip/WithDependency.h>`
`#include <tulip/WithParameter.h>`
`#include <tulip/Node.h>`
`#include <tulip/Edge.h>`
`#include <tulip/Color.h>`
`#include <tulip/Size.h>`
`#include <tulip/Coord.h>`
`#include <tulip/Matrix.h>`
`#include <tulip/Plugin.h>`
`#include <tulip/TemplateFactory.h>`
Include dependency graph for EdgeExtremityGlyph.h:

## Classes

- class tlp::EdgeExtremityGlyphContext
- class tlp::EdgeExtremityGlyph
- class tlp::EdgeExtremityGlyphFactory
- class tlp::EdgeExtremityGlyphFrom3DGlyph
- class tlp::EdgeExtremityGlyphFrom2DGlyph

## Namespaces

- namespace tlp

## Defines

- #define EEGPLUGINFACTORY(T, C, N, A, D, I, R, ID, G)
- #define EEGLYPHPLUGINOFGROUP(C, N, A, D, I, R, ID, G) EEGPLUGINFACTORY(EdgeExtremityGlyph,C,N,A,D,I,R,ID,G)
- #define EEGLYPHPLUGIN(C, N, A, D, I, R, ID) EEGLYPHPLUGINOFGROUP(C,N,A,D,I,R,ID,"")

## Typedefs

- typedef Matrix< float, 4 > tlp::MatrixGL

## Define Documentation

#define EEGLYPHPLUGIN | ( |  | C,
|  |  | N,
|  |  | A,
|  |  | D,
|  |  | I,
|  |  | R,
|  |  | ID
| ) |  | EEGLYPHPLUGINOFGROUP(C,N,A,D,I,R,ID,"")

#define EEGLYPHPLUGINOFGROUP | ( |  | C,
|  |  | N,
|  |  | A,
|  |  | D,
|  |  | I,
|  |  | R,
|  |  | ID,
|  |  | G
| ) |  | EEGPLUGINFACTORY(EdgeExtremityGlyph,C,N,A,D,I,R,ID,G)

#define EEGPLUGINFACTORY | ( |  | T,
|  |  | C,
|  |  | N,
|  |  | A,
|  |  | D,
|  |  | I,
|  |  | R,
|  |  | ID,
|  |  | G
| ) |  |

Value:

    class C##T##Factory:public tlp::T##Factory   \
    {                                                \
    public:                                          \
      C##T##Factory(){         \
        initFactory();               \
        factory->registerPlugin(this);           \
      }                  \
      std::string getName() const { return std::string(N);}  \
      std::string getGroup() const { return std::string(G);}   \
      std::string getAuthor() const {return std::string(A);}   \
      std::string getDate() const {return std::string(D);}   \
      std::string getInfo() const {return std::string(I);}   \
      std::string getRelease() const {return std::string(R);}\
      std::string getTulipRelease() const {return std::string(TULIP_RELEASE);}\
      int    getId() const {return ID;}    \
      tlp::T * createPluginObject(tlp::EdgeExtremityGlyphContext *gc)  \
      {            \
        C *tmp = new C(gc);        \
        return ((tlp::T *) tmp);       \
      }            \
    };                                               \
    extern "C" {                                            \
      C##T##Factory C##T##FactoryInitializer;               \
    }

Tulip Software by LaBRI Visualization Team 2001 - 2012